import React, { Component } from 'react';
import {ScrollView, StatusBar, StyleSheet, Text, View} from 'react-native';
import { connect } from 'react-redux'

class Privacy extends Component {
    constructor(props) {
        super(props);
    }
    render() {
        return (
            <ScrollView style={{backgroundColor:'#fff'}}>
                <StatusBar backgroundColor={'#fff'} barStyle='dark-content'/>
                <Text style={styles.text}>
                　　为说明装集客APP会如何收集、使用和存储你的个人信息及你享有何种权利，我们将通过本指引向你阐述相关事宜，其中要点如下:
                    {'\n'}
                    i.我们将逐一说明我们收集的你的个人信息类型及其对应的用途，以便你了解我们针对某一特定功能所收集的具体个人信息的类别、使用理由及收集方式。
                    {'\n'}
                    ii.装集客APP不会主动共享或转让你的个人信息至第三方，如存在其他共享或转让你的个人信息情形时，我们会征得你的明示同意。
                    {'\n'}
                    ii..装集客APP不会主动从第三方获取你的个人信息。如未来为业务发展需要从第三方间接获取你的个人信息,我们会在获取前向你明示你个人信息的来源、类型及使用范围，如装集客APP开展业务需进行的个人信息处理活动超出你原本向第三方提供个人信息时的授权同意范围，我们将在处理你的该等个人信息前，征得你的明示同意;此外，我们也将会严格遵守相关法律法规的规定，并要求第三方保障其提供的信息的合法性。
                    {'\n'}
                    如你想了解更加详尽的信息,请根据以下索引阅读相应章节:
                    {'\n'}
                    1.我们收集的信息
                    {'\n'}
                    在你使用装集客APP服务的过程中，装集客APP会按照如下方式收集你在使用服务时主动提供或因为使用服务而产生的信息，用以向你提供服务、优化我们的服务以及保障你的帐号安全:
                    {'\n'}
                    1.1当你使用装集客APP服务时，为保障你正常使用我们的服务，我们会收集你的设备型号、操作系统、唯一-设备标识符、登陆IP地址、装集客APP软件版本号、接入网络的方式和类型、操作日志等日志信息，这类信息是为提供服务必须收集的基础信息。
                    {'\n'}
                    2.信息的存储
                    {'\n'}
                    2.1 信息存储的地点
                    {'\n'}
                    我们会按照法律法规规定，将境内收集的用户个人信息存储于中国境内。
                    {'\n'}
                    2.2信息存储的期限
                    {'\n'}
                    一般而言，我们仅为实现目的所必需的时间保留你的个人信息，例如:
                    {'\n'}
                    手机号码:若你需要使用装集客APP服务,我们需要一直保存你的手机号码，以保证你正常使用该服务，当作注销装集客APP帐户后，我们将删除相应的信息;
                    {'\n'}
                    当我们的产品或服务发生停止运营的情形时，我们将以推送通知、公告等形式通知您，并在合理的期限内删除您的个人信息或进行匿名化处理。
                    {'\n'}
                    3.信息安全
                    {'\n'}
                    我们努力为，用户的信息安全提供保障，以防止信息的丢失、不当使用、未经授权访问或披露。
                    {'\n'}
                    我们将在合理的安全水平内使用各种安全保护措施以保障信息的安全。例如，我们会使用加密技术、匿名化处理等手段来保护你的个人信息。
                    {'\n'}
                    4.我们如何使用信息
                    {'\n'}
                    我们可能将通过某些功能所收集的信息用于我们的其他服务。例如，我们可能将在你使用我们一项功能时我们收集的信息，在另一服务中用于向你提供特定内容，包括但不限于展示广告等。
                    {'\n'}
                    为了确保服务的安全，帮助我们更好地了解我们应用程序的运行情况，我们可能记录相关信息，例如，你使用应用程序的频率、崩溃数据、总体使用情况、性能数据以及应用程序的来源。我们不会将我们存储在分析软件中的信息与你在应用程序中提供的任何个人身份信息相结合。
                    {'\n'}
                    如我们使用你的个人信息，超出了与收集时所声称的目的及具有直接或合理关联的范围,我们将在使用你的个人信息前，再次向你告知并征得你的明示同意。
                    {'\n'}
                    5.对外提供
                    {'\n'}
                    目前，我们不会主动共享或转让你的个人信息至第三方，如存在其他共享或转让你的个人信息情形时，我们会征得你的明示同意。
                    {'\n'}
                    我们不会对外公开披露其收集的个人信息，如必须公开披露时,我们会向你告知此次公开披露的目的、披露信息的类型及可能涉及的敏感信息，并征得你的明示同意。
                    {'\n'}
                    6.未成年人保护
                    {'\n'}
                    我们非常重视对未成年人个人信息的保护。根据相关法律法规的规定，若你是18周岁以下的未成年人，在使用装集客APP服务前，应事先取得你的家长或法定监护人的同意。若你是未成年人的监护人，当你对你所监护的未成年人的个人信息有相关疑问时，请通过第8节中的联系方式与我们联系。
                    {'\n'}
                    7.其他
                    {'\n'}
                    装集客APP《隐私政策》是装集客APP统-适用的一般性隐私条款，其中所规定的用户权利及信息安全保障措施均适用于装集客APP用户。如装集客APP《隐私政策》与本指引存在不一致或矛盾之处，请以本指引为准。
                    {'\n'}
                    8.与我们联系
                    {'\n'}
                    当你有其他的投诉、建议、未成年人个人信息相关问题时，请拨打我们的客服电话：0371-86586728，周一到周六8:30~18:00，法定节假日除外。
                    {'\n'}
                </Text>
            </ScrollView>
        );
    }
}

const styles = StyleSheet.create({
    text: {
        flex: 1,
        color: '#333',
        lineHeight: 23,
        margin:10
    },
})

export default Privacy
